View Issue Details

IDProjectCategoryView StatusLast Update
0000567luatexfeature requestpublic2015-11-10 15:45
ReporterHans HagenAssigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.90.0Fixed in Version0.85.0 
Summary0000567: overful box (reminder of discussion)
DescriptionWe can have a callback for the overfull box reporter. Something like:

function overfullbox(listhead,badness,...)
   -- whatever action you like
   return listhead
end

in that case there can be a bit more analysis afterwards as well as a variant for an overfull box (e.g colored or framed line, or some note in the margin) provided.

It needs a bit of thinking but fits in the interception of messages.
 
Tagscallback

Relationships

parent of 0000608 closedTaco add a callback for created paragraph lines 

Activities

Hans Hagen

2015-11-10 15:45

manager   ~0001532

callback overfull_rule

Issue History

Date Modified Username Field Change
2011-02-03 11:37 Hans Hagen New Issue
2011-02-03 11:37 Hans Hagen Status new => assigned
2011-02-03 11:37 Hans Hagen Assigned To => Taco
2011-04-06 16:53 Taco Relationship added parent of 0000608
2012-08-10 15:31 oneiros Tag Attached: callback
2015-10-20 20:54 Hans Hagen Assigned To Taco => Hans Hagen
2015-11-05 11:10 Hans Hagen Target Version => 0.90.0
2015-11-10 15:45 Hans Hagen Note Added: 0001532
2015-11-10 15:45 Hans Hagen Status assigned => closed
2015-11-10 15:45 Hans Hagen Resolution open => fixed
2015-11-10 15:45 Hans Hagen Fixed in Version => 0.85.0